<!DOCTYPE html>
<html>

<style>
  * {
    box-sizing: border-box;
  }

  .column {
    float: left;
    height: 600px;
  }

  .left,
  .right {
    width: 30%;
  }

  .middle {
    width: 40%;
  }

  .row:after {
    content: "";
    display: table;
    clear: both;
  }

  body {
    height: 100%;
    padding: 0;
    margin: 0;
    margin-top: 6px;
  }

  div {
    width: 100%;
    height: 100%;
  }

  .divtextcenter {
    text-align: center;
  }

  #div1 {
    width: 25%;
    float: left;
  }

  #div2 {
    width: 25%;
    float: left;
  }

  #div3 {
    width: 25%;
    float: left;
  }

  #div4 {
    width: 25%;
    float: left;
  }

  input[type=text],
  select {
    padding: 2px 0px;
    margin: 5px 0;
    width: 38%;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 2px;
    box-sizing: border-box;
  }

  input[type=number],
  select {
    padding: 2px 0px;
    margin: 5px 0;
    width: 38%;
    display: inline-block;
    border: 1px solid #ccc;
    border-radius: 2px;
    box-sizing: border-box;
  }

  label {
    padding: 0px 2px 0px 0;
    display: inline-block;
  }

  input[type=submit] {
    background-color: #04AA6D;
    color: white;
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    float: right;
  }

  input[type=submit]:hover {
    background-color: #45a049;
  }

  .container {
    border-radius: 5px;
    background-color: #f2f2f2;
    padding: 20px;
  }

  .col-25 {
    float: left;
    width: 25%;
    margin-top: 6px;
  }

  .col-75 {
    float: left;
    width: 75%;
    margin-top: 6px;
  }

  /* Clear floats after the columns */
  .row:after {
    content: "";
    display: table;
    clear: both;
  }

  table,
  th,
  td {
    border: 1px solid black;
    border-collapse: collapse;
  }

  .invoice {
    font-family: Arial, sans-serif;
    padding: 20px;
    width: 100%;
    margin: 0 auto;
    table-layout: fixed;
    border: 1px solid #ccc;
  }

  .invoice h1 {
    text-align: center;
    font-size: 2.5em;
    margin-bottom: 20px;
  }

  .invoice .header {
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
  }

  .invoice .left p,
  .invoice .right p {
    margin: 0;
  }

  .invoice table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 20px;
  }

  .invoice th,
  .invoice td {
    border: 1px solid #ccc;
    padding: 8px;
    text-align: left;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }


  .invoice th {
    text-align: left;
  }

  .invoice tfoot td {
    text-align: right;
  }

  .invoice tfoot td:first-child {
    font-weight: bold;
  }

  .invoice tfoot td:last-child {
    font-weight: bold;
    border-top: 2px solid #000;
  }

  /* Responsive layout - when the screen is less than 600px wide, make the two columns stack on top of each other instead of next to each other */



  .tg {
    border-collapse: collapse;
    border-spacing: 0;
    margin: 9px 0px 0px 9px;
  }

  .tg td {
    border-color: black;
    border-style: solid;
    border-width: 1px;
    font-family: Arial, sans-serif;
    font-size: 14px;
    overflow: hidden;
    padding: 4px 5px;
    word-break: normal;
  }

  .tg th {
    border-color: black;
    border-style: solid;
    border-width: 1px;
    font-family: Arial, sans-serif;
    font-size: 14px;
    font-weight: normal;
    overflow: hidden;
    padding: 4px 5px;
    word-break: normal;
  }

  .tg .tg-ul38 {
    position: -webkit-sticky;
    position: sticky;
    text-align: left;
    top: -1px;
    vertical-align: top;
    will-change: transform;
    width: 84px;
    text-align: center;
  }

  .tg .tg-0lax {
    text-align: left;
    vertical-align: top;
    text-align: center;
  }

  .tg-sort-header::-moz-selection {
    background: 0 0
  }

  .tg-sort-header::selection {
    background: 0 0
  }

  .tg-sort-header {
    cursor: pointer
  }

  .tg-sort-header:after {
    content: '';
    float: right;
    margin-top: 7px;
    border-width: 0 5px 5px;
    border-style: solid;
    border-color: #404040 transparent;
    visibility: hidden
  }

  .tg-sort-header:hover:after {
    visibility: visible
  }

  .tg-sort-asc:after,
  .tg-sort-asc:hover:after,
  .tg-sort-desc:after {
    visibility: visible;
    opacity: .4
  }

  .tg-sort-desc:after {
    border-bottom: none;
    border-width: 5px 5px 0
  }

  @media screen and (max-width: 767px) {
    .tg {
      width: auto !important;
    }

    .tg col {
      width: auto !important;
    }

    .tg-wrap {
      overflow-x: auto;
      -webkit-overflow-scrolling: touch;
    }
  }
</style>


<body>
  <div>
    <div class="row">
      <div class="column left" style="height: 57vh;">
        <form style="padding: 2px; border: 2px solid;background-color:#f9e2ff; width: 100%;">
          <label for="user">User:</label>
          <input type="text" id="user" name="user" value=<%=username%>>
          <label for="SR.">SR.</label>
          <input type="text" id="sr" name="sr" value=<%=userserialno%>><br>
          <label for="date">Date:</label>
          <input type="date" id="date" name="date" style="width: 29%;">
          <label for="smk">SMK</label>
          <input type="number" id="smk" name="smk" style="width: 36%;">
          <button type="button" style="border-radius: 50%;" id="nobtn">ના</button>
          <button type="button" style="border-radius: 50%;" id="resetbtn">Reset</button><br>
          <label for="fullname">પુરુંનામ</label>
          <input type="text" id="fullname" style="width: 80%;"><br>
          <label for="Ccity">હાલગામ</label>
          <input type="text" id="Ccity" name="Ccity" style="width: 33%;">
          <label for="Nvillage">મૂળગામ</label>
          <input type="text" id="Nvillage" name="Nvillage" style="width: 33%;"><br>
          <label for="mobile">મો. નં.:</label>
          <input type="number" id="mobile" name="mobile" style="width: 33%;">
          <label for="Email">E-mail</label>
          <input type="text" id="Email" name="Email"><br>
        </form>
        <div style="height: 38px; border: 2px solid; margin-top: 1px; width: 100%; background-color: #fff490;">
          <label>જમા રકમ</label>
          <input type="text" style="width: 80%;" id="jama_rakam">
        </div>
        <form
          style="padding: 2px; border: 2px solid; height: 48%; width: 100%; margin-top: 1px; background-color: #e9e9e9;">
          <div style="display: flex; height: 28px; justify-content: space-between; margin-bottom: 3px;">
            <label style="background: blue;
        color: white;
        display: flex;
        align-items: center;
        padding: 0px 20px 0px 20px;
        margin-left: 105px; height: 90%;"> ઉપાડની વિગત</label>
            <input id="kulupad"
              style="height: 90%; width: 100px; font-size: 16px; text-align: center; background-color: #f3b165;"
              placeholder="કુલ ઉપાડ">
          </div>
          <div id="div1" style="height: 30%; display: flex; flex-direction: column; align-items: center;">
            <center><label for="upad">ઉપાડ</label></center>
            <input type="number" id="upad" name="upad" style="width: 90%; margin: 0;"
              onchange="handleChange(event)"><br>
          </div>

          <div id="div1" style="height: 30%; display: flex; flex-direction: column; align-items: center;">
            <center><label for="dhotiya">ધોતિયા</label></center>
            <input type="number" id="dhotiya" name="dhotiya" style="width: 90%;margin: 0;"><br>
          </div>
          <div id="div2" style="height: 30%; display: flex; flex-direction: column; align-items: center;">
            <center>
              <center><label for="abhishek">અભિષેક</label></center>
              <input type="number" id="abhishek" name="abhishek" style="width: 90%;margin: 0;"><br>
          </div>
          <div id="div3" style="height: 30%; display: flex; flex-direction: column; align-items: center;">
            <center><label for="grahan">ગ્રહણ</label></center>
            <input type="number" id="grahan" name="grahan" style="width: 90%;margin: 0;"><br>
          </div>
          <div id="div3" style="height: 30%; display: flex; flex-direction: column; align-items: center;">
            <center><label for="rasoi">રસોઈ</label></center>
            <input type="number" id="rasoi" name="rasoi" style="width: 90%;margin: 0;"><br>
          </div>
          <div id="div3" style="height: 30%; display: flex; flex-direction: column; align-items: center;">
            <center><label for="thal">થાળ</label></center>
            <input type="number" id="thal" name="thal" style="width: 90%;margin: 0;"><br>
          </div>
          <div id="div3" style="height: 30%; display: flex; flex-direction: column; align-items: center;">
            <center><label for="bhet">ભેટ</label></center>
            <input type="number" id="bhet" name="bhet" style="width: 90%;margin: 0;"><br>
          </div>
          <div id="div4" style="height: 30%; display: flex; flex-direction: column; align-items: center;">
            <center><label for="other">અન્ય</label></center>
            <input type="number" id="other" name="other" style="width: 90%;margin: 0;"><br>
          </div>
          <div style="height: 0%;">
            <label>કુલ બેલેન્સ</label>
            <input type="text" style="width: 35%;" id="kul_balance" readonly>
            <button type="button" class="btn btn-primary" id="Submitbtntosaveandprint"
              style="width:20%; color: white;background: #45a049; padding: 2px;">Submit</button>
            <button type="button" class="btn btn-primary" style="width:20%; padding: 2px;">Export</button>
          </div>
        </form>
        <script>
          window.onload = (event) => {

            document.getElementById("fullname").disabled = true;
            document.getElementById("Ccity").disabled = true;
            document.getElementById("Nvillage").disabled = true;
            document.getElementById("mobile").disabled = true;
            document.getElementById("Email").disabled = true;
            let now = new Date()
            now.setMinutes(now.getMinutes() - now.getTimezoneOffset())
            now.setSeconds(0)       // remove seconds
            now.setMilliseconds(0)
            //var today = dd + '/' + mm + '/' + yyyy;
            document.getElementById("date").valueAsDate = now
            console.log(now)
            document.getElementById("jama_rakam").value = 0
            document.getElementById("upad").value = 0
            document.getElementById("dhotiya").value = 0
            document.getElementById("abhishek").value = 0
            document.getElementById("grahan").value = 0
            document.getElementById("rasoi").value = 0
            document.getElementById("thal").value = 0
            document.getElementById("bhet").value = 0
            document.getElementById("other").value = 0

            gethistory(document.getElementById("user").value)
            getuserbal(document.getElementById("user").value)
            //console.log(document.getElementById("user").value)
          }
          document.getElementById("nobtn").onclick = function () {
            document.getElementById("smk").disabled = true;
            document.getElementById("fullname").disabled = false;
            document.getElementById("Ccity").disabled = false;
            document.getElementById("Nvillage").disabled = false;
            document.getElementById("mobile").disabled = false;
            document.getElementById("Email").disabled = false;
          }
          document.getElementById("resetbtn").onclick = function () {
            document.getElementById("smk").disabled = false;
            document.getElementById("fullname").disabled = true;
            document.getElementById("Ccity").disabled = true;
            document.getElementById("Nvillage").disabled = true;
            document.getElementById("mobile").disabled = true;
            document.getElementById("Email").disabled = true;
          }
          function handleChange(event) {
            console.log(event.target.value);
            document.getElementById("upad").value
            document.getElementById("dhotiya").value
            document.getElementById("abhishek").value
            document.getElementById("grahan").value
            document.getElementById("rasoi").value
            document.getElementById("thal").value
            document.getElementById("bhet").value
            document.getElementById("other").value
          }
          let jamarakam = document.getElementById("jama_rakam")
          jamarakam.addEventListener("change", e => {

            calculationkulbalance()
          })
          let upad = document.getElementById("upad")
          upad.addEventListener("change", e => {
            console.log("upad")
            calculationkulbalance()
          })
          let dhotiya = document.getElementById("dhotiya")
          dhotiya.addEventListener("change", e => {
            console.log("dhotiya")
            calculationkulbalance()
          })
          let abhishek = document.getElementById("abhishek")
          abhishek.addEventListener("change", e => {
            calculationkulbalance()
          })
          let grahan = document.getElementById("grahan")
          grahan.addEventListener("change", e => {
            calculationkulbalance()
          })
          let rasoi = document.getElementById("rasoi")
          rasoi.addEventListener("change", e => {
            calculationkulbalance()
          })
          let thal = document.getElementById("thal")
          thal.addEventListener("change", e => {
            calculationkulbalance()
          })
          let bhet = document.getElementById("bhet")
          bhet.addEventListener("change", e => {
            calculationkulbalance()
          })
          let other = document.getElementById("other")
          other.addEventListener("change", e => {
            calculationkulbalance()
          })
          async function calculationkulbalance() {
            let jamarakam = parseInt(document.getElementById("jama_rakam").value)
            //console.log(jamarakam)
            let kulbalance = document.getElementById("kul_balance")
            let kulupaad = document.getElementById("kulupad")
            let upad = parseInt(document.getElementById("upad").value)
            let dhotiya = parseInt(document.getElementById("dhotiya").value)
            let abhishek = parseInt(document.getElementById("abhishek").value)
            let grahan = parseInt(document.getElementById("grahan").value)
            let rasoi = parseInt(document.getElementById("rasoi").value)
            let thal = parseInt(document.getElementById("thal").value)
            let bhet = parseInt(document.getElementById("bhet").value)
            let other = parseInt(document.getElementById("other").value)
            //console.log(upad+dhotiya+abhishek+grahan+rasoi+thal+bhet+other)
            //console.log(jamarakam-(upad+dhotiya+abhishek+grahan+rasoi+thal+bhet+other))
            // if((upad+dhotiya+abhishek+grahan+rasoi+thal+bhet+other)>jamarakam){
            //   alert("Kul Upad is more than jama rakam")
            //   document.getElementById("upad").value  = 0
            //   document.getElementById("dhotiya").value  = 0
            //   document.getElementById("abhishek").value  = 0
            //   document.getElementById("grahan").value  = 0
            //   document.getElementById("rasoi").value  = 0
            //   document.getElementById("thal").value  = 0
            //   document.getElementById("bhet").value  = 0
            //   document.getElementById("other").value = 0
            // }
            // else{
            //console.log("valllllllllleu")
            //kulbalance.value = jamarakam-(upad+dhotiya+abhishek+grahan+rasoi+thal+bhet+other)
            //let orgkulbalance = parseInt(kulbalance.value)
            let username = document.getElementById("user").value
            let smk = parseInt(document.getElementById("smk").value)
            let orgkulbalance = await getlasthistory(username, smk)
            //console.log(orgkulbalance + jamarakam)
            //console.log(upad+dhotiya+abhishek+grahan+rasoi+thal+bhet+other)
            kulbalance.value = (orgkulbalance + jamarakam) - (upad + dhotiya + abhishek + grahan + rasoi + thal + bhet + other)
            kulupaad.value = upad + dhotiya + abhishek + grahan + rasoi + thal + bhet + other
            //}
          }
          let smk = document.getElementById("smk")
          smk.addEventListener("keyup", e => {
            e.preventDefault();
            if (e.keyCode === 13) {
              smksearch(document.getElementById("smk").value)
            }
          })
          let Submitbtnsp = document.getElementById("Submitbtntosaveandprint")
          Submitbtnsp.onclick = () => {
            transaction()
            document.getElementById("jama_rakam").value = 0
            document.getElementById("kul_balance").value = 0
            document.getElementById("upad").value = 0
            document.getElementById("dhotiya").value = 0
            document.getElementById("abhishek").value = 0
            document.getElementById("grahan").value = 0
            document.getElementById("rasoi").value = 0
            document.getElementById("thal").value = 0
            document.getElementById("bhet").value = 0
            document.getElementById("other").value = 0

          }

          async function transaction() {
            let headersList = {
              "Accept": "*/*",
              "User-Agent": "Thunder Client (https://www.thunderclient.com)",
              "Content-Type": "application/json"
            }
            let user = document.getElementById("user").value
            let sr = document.getElementById("sr").value
            let date = document.getElementById("date").value
            let kulupaad = parseInt(document.getElementById("kulupad").value)
            let smk = parseInt(document.getElementById("smk").value)
            let fullname = document.getElementById("fullname").value
            let currentcity = document.getElementById("Ccity").value
            let nativevillage = document.getElementById("Nvillage").value
            let mobileno = parseInt(document.getElementById("mobile").value)
            let email = document.getElementById("Email").value
            let kulbalance = parseInt(document.getElementById("kul_balance").value)
            let jamarakam = parseInt(document.getElementById("jama_rakam").value)
            let upad = parseInt(document.getElementById("upad").value)
            let dhotiya = parseInt(document.getElementById("dhotiya").value)
            let abhishek = parseInt(document.getElementById("abhishek").value)
            let grahan = parseInt(document.getElementById("grahan").value)
            let rasoi = parseInt(document.getElementById("rasoi").value)
            let thal = parseInt(document.getElementById("thal").value)
            let bhet = parseInt(document.getElementById("bhet").value)
            let other = parseInt(document.getElementById("other").value)
            //console.log(other)
            let bodyContent = JSON.stringify({
              "SMKId": smk,
              "FullNameGuj": fullname,
              "PresentCity": currentcity,
              "NativeCity": nativevillage,
              "Mobile1": mobileno,
              "Email": email,
              "Upad": upad,
              "Dhotiya": dhotiya,
              "Abhishek": abhishek,
              "Grahan": grahan,
              "Rasoi": rasoi,
              "Thal": thal,
              "Bhet": bhet,
              "Other": other,
              "Jama_Rakam": jamarakam,
              "Kul_Balance": kulbalance,
              "User": user,
              "Sr": sr,
              "Date": date,
              "Kul_Upad": kulupaad
            });

            let response = await fetch("http://localhost:3000/transact", {
              method: "POST",
              body: bodyContent,
              headers: headersList
            });

            let data = await response.text();
            alert(data.toString());
            gethistory(user)
          }
          async function gethistory(username) {
            let headersList = {
              "Accept": "*/*",
              "User-Agent": "Thunder Client (https://www.thunderclient.com)"
            }


            let response = await fetch("http://localhost:3000/gethistory?username=" + username, {
              method: "GET",
              headers: headersList
            });

            let data = await response.text();
            //console.log(data)
            document.getElementById("Data_Grid_View").innerHTML = data

          }
          async function getlasthistory(username, smk) {
            let headersList = {
              "Accept": "*/*",
              "User-Agent": "Thunder Client (https://www.thunderclient.com)"
            }

            let response = await fetch("http://localhost:3000/getlasthistory?username=" + username + "&smk=" + smk, {
              method: "GET",
              headers: headersList
            });

            let data = await response.text();
            let kulbalance = document.getElementById("kul_balance")
            //console.log(data)
            if (data == "Not Found") {
              return 0
            }
            else {
              //console.log(data[0])
              data = JSON.parse(data);
              return data[0].Kul_Balance
            }
            //data = JSON.parse(data);
            //console.log(data[0])
            //kulbalance.value = data[0].Kul_Balance
            //return data[0].Kul_Balance
            //console.log(data[0].Kul_Balance)
          }
          async function smksearch(smk) {
            let headersList = {
              "Accept": "*/*",
              "User-Agent": "Thunder Client (https://www.thunderclient.com)"
            }

            let response = await fetch("http://localhost:3000/search?smk=" + smk, {
              method: "GET",
              headers: headersList
            });

            let data = await response.text();
            data = JSON.parse(data);
            let FullNameGuj = data.FullNameGuj;
            let PresentCity = data.PresentCity;
            let NativeCity = data.NativeCity;
            let Mobile1 = data.Mobile1;
            let Email = data.Email;
            document.getElementById("fullname").value = FullNameGuj;
            document.getElementById("Ccity").value = PresentCity;
            document.getElementById("Nvillage").value = NativeCity;
            document.getElementById("mobile").value = Mobile1;
            document.getElementById("Email").value = Email;
            let kulbalance = document.getElementById("kul_balance")
            let username = document.getElementById("user").value
            kulbalance.value = await getlasthistory(username, smk)
            console.log(await getlasthistory(username, smk))
            document.getElementById("leftuser").value = document.getElementById("user").value
            document.getElementById("leftsr").value = document.getElementById("sr").value
            document.getElementById("leftdate").value = document.getElementById("date").value
            document.getElementById("leftsmk").value = document.getElementById("smk").value
            document.getElementById("leftfullname").value = FullNameGuj;
            document.getElementById("leftCcity").value = PresentCity;
            document.getElementById("leftNvillage").value = NativeCity;
            document.getElementById("leftmobile").value = Mobile1;
            document.getElementById("leftEmail").value = Email;
          }
          async function getuserbal(username) {
            let headersList = {
              "Accept": "*/*",
              "User-Agent": "Thunder Client (https://www.thunderclient.com)"
            }
            let response = await fetch("http://localhost:3000/userhistory?username=" + username, {
              method: "GET",
              headers: headersList
            });

            let data = await response.text();
            data = JSON.parse(data)
            //console.log(parseInt(document.getElementById("centreupad").innerHTML)+"hello" + data[0].Upad)
            //let centreupad = document.getElementById("centreupad")
            //centreupad.value = data[0].Upad
            document.getElementById("centredhotiya").innerHTML = data[0].Dhotiya
            document.getElementById("centreabhishek").innerHTML = data[0].Abhishek
            document.getElementById("centregrahan").innerHTML = data[0].Grahan
            document.getElementById("centrerasoi").innerHTML = data[0].Rasoi
            document.getElementById("centrethal").innerHTML = data[0].Thal
            document.getElementById("centrebhet").innerHTML = data[0].Bhet
            document.getElementById("centreother").innerHTML = data[0].Other
            document.getElementById("centrekulentry").innerHTML = data[0].Countrows
            document.getElementById("centrekuljama").innerHTML = data[0].Jama_Rakam
            document.getElementById("centrekulupad").innerHTML = data[0].Kul_Upad
          }
        </script>
      </div>

      <div class="column middle" style=" height: 57vh;">
        <h2 style="text-align: center;">જય શ્રી સ્વામિનારાયણ</h2>
        <div style="border: 2px solid; height: 85%; display: flex; flex-direction: column; flex-wrap: nowrap;">
          <div style="display: flex; height: 20%;">
            <div class="tg-wrap" style="width: 21%;">
              <table id="tg-KtRky" class="tg" style="width: 98%;">
                <thead>
                  <tr>
                    <th class="tg-ul38">કુલ એન્ટ્રી</th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td id="centrekulentry" class="tg-0lax"></td>
                  </tr>
                </tbody>
              </table>
            </div>
            <div class="tg-wrap">
              <table id="tg-ATTsj" class="tg" style="width: 96%;">
                <thead>
                  <tr>
                    <th class="tg-ul38">ખુલતી સિલક</th>
                    <th class="tg-ul38">કુલ જમા</th>
                    <th class="tg-ul38">કુલ ઉપાડ</th>
                    <th class="tg-ul38">બેલેન્સ</th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td id="centrekhultisilak" class="tg-0lax"><input id="centrekhultisilakinput" type="text"></td>
                    <td id="centrekuljama" class="tg-0lax"></td>
                    <td id="centrekulupad" class="tg-0lax"></td>
                    <td id="centrekulbalance" class="tg-0lax"></td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
          <div class="tg-wrap" style="margin-left:-5px; height: 20%;">
            <table id="tg-WNoNZ" class="tg" style="width: 98%;">
              <thead>
                <tr>
                  <th class="tg-ul38">ઉપાડ</th>
                  <th class="tg-ul38">ધોતિયા</th>
                  <th class="tg-ul38">અભિષેક</th>
                  <th class="tg-ul38">ગ્રહણ</th>
                  <th class="tg-ul38">રસોઈ</th>
                  <th class="tg-ul38">થાળ</th>
                  <th class="tg-ul38">ભેટ</th>
                  <th class="tg-ul38">અન્ય</th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td id="centreupad" class="tg-0lax">10</td>
                  <td id="centredhotiya" class="tg-0lax"></td>
                  <td id="centreabhishek" class="tg-0lax"></td>
                  <td id="centregrahan" class="tg-0lax"></td>
                  <td id="centrerasoi" class="tg-0lax"></td>
                  <td id="centrethal" class="tg-0lax"></td>
                  <td id="centrebhet" class="tg-0lax"></td>
                  <td id="centreother" class="tg-0lax"></td>
                </tr>
              </tbody>
            </table>
          </div>
          <div class="tg-wrap" style="margin-left:-5px; height: 35%;">
            <table id="tg-i9gIT" class="tg" style="width: 98%;">
              <thead>
                <tr>
                  <th class="tg-ul38">2,000</th>
                  <th class="tg-ul38">500</th>
                  <th class="tg-ul38">200</th>
                  <th class="tg-ul38">100</th>
                  <th class="tg-ul38">50</th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td class="tg-0lax"><input type="text"></td>
                  <td class="tg-0lax"><input type="text"></td>
                  <td class="tg-0lax"><input type="text"></td>
                  <td class="tg-0lax"><input type="text"></td>
                  <td class="tg-0lax"><input type="text"></td>
                </tr>
                <tr>
                  <td class="tg-0lax">20</td>
                  <td class="tg-0lax">10</td>
                  <td class="tg-0lax">5</td>
                  <td class="tg-0lax">2</td>
                  <td class="tg-0lax">1</td>
                </tr>
                <tr>
                  <td class="tg-0lax"><input type="text"></td>
                  <td class="tg-0lax"><input type="text"></td>
                  <td class="tg-0lax"><input type="text"></td>
                  <td class="tg-0lax"><input type="text"></td>
                  <td class="tg-0lax"><input type="text"></td>
                </tr>
                <tr>
                  <td class="tg-0lax">TOTAL</td>
                  <td class="tg-0lax" colspan="4"></td>
                </tr>
              </tbody>
            </table>
          </div>
          <div style=" position: relative; height: 9%; display: flex; justify-content: space-around; margin-top: 50px;">
            <button type="submit" class="btn btn-primary"
              style="width:20%; color: white;background: #45a049; padding: 2px;">Export</button>
            <button type="button" class="btn btn-primary" style="width:20%; padding: 2px;">Print</button>
          </div>
        </div>

      </div>


      <!-- <div class="column right" style="background-color:#ccc;"> -->
      <!-- <div class="row"> -->
      <div>
        <div class="column left" style=" height: 57vh;padding: 0px; padding-right: 3px;">
          <h2 style="text-align: center; margin: 0%;">જય શ્રી સ્વામિનારાયણ</h2>
          <form style="padding: 2px; border: 2px solid; width: 100%;">
            <label for="user">User:</label>
            <input type="text" id="leftuser" name="user" value="Name" readonly>
            <label for="SR.">SR.</label>
            <input type="text" id="leftsr" name="sr" value="User/Sr." readonly><br>
            <label for="date">Date:</label>
            <input type="date" id="leftdate" name="date" readonly>
            <label for="smk">SMK</label>
            <input type="number" id="leftsmk" name="smk" readonly><br>
            <label for="fullname">પુરુંનામ</label>
            <input type="text" id="leftfullname" style="width: 80%;" readonly><br>
            <label for="Ccity">હાલગામ</label>
            <input type="text" id="leftCcity" name="Ccity" style="width: 33%;" readonly>
            <label for="Nvillage">મૂળગામ</label>
            <input type="text" id="leftNvillage" name="Nvillage" style="width: 32%;" readonly><br>
            <label for="mobile">મો. નં.:</label>
            <input type="number" id="leftmobile" name="mobile" style="width: 33%;" readonly>
            <label for="Email">E-mail</label>
            <input type="text" id="leftEmail" name="Email" readonly><br>
          </form>
          <table>
            <thead>
              <tr>
                <th>Description</th>
                <th>Amount</th>
              </tr>
            </thead>
            <tbody>
              <% if (data.Upad !==0) { %>
                <tr>
                  <td>Upad</td>
                  <td>
                    <%= data.Upad %>
                  </td>
                </tr>
                <% } %>
                  <% if (data.Dhotiya !==0) { %>
                    <tr>
                      <td>Dhotiya</td>
                      <td>
                        <%= data.Dhotiya %>
                      </td>
                    </tr>
                    <% } %>
                      <% if (data.Abhishek !==0) { %>
                        <tr>
                          <td>Abhishek</td>
                          <td>
                            <%= data.Abhishek %>
                          </td>
                        </tr>
                        <% } %>
                          <% if (data.Grahan !==0) { %>
                            <tr>
                              <td>Grahan</td>
                              <td>
                                <%= data.Grahan %>
                              </td>
                            </tr>
                            <% } %>
                              <% if (data.Rasoi !==0) { %>
                                <tr>
                                  <td>Rasoi</td>
                                  <td>
                                    <%= data.Rasoi %>
                                  </td>
                                </tr>
                                <% } %>
                                  <% if (data.Thal !==0) { %>
                                    <tr>
                                      <td>Thal</td>
                                      <td>
                                        <%= data.Thal %>
                                      </td>
                                    </tr>
                                    <% } %>
                                      <% if (data.Bhet !==0) { %>
                                        <tr>
                                          <td>Bhet</td>
                                          <td>
                                            <%= data.Bhet %>
                                          </td>
                                        </tr>
                                        <% } %>
                                          <% if (data.Other !==0) { %>
                                            <tr>
                                              <td>Other</td>
                                              <td>
                                                <%= data.Other %>
                                              </td>
                                            </tr>
                                            <% } %>
            </tbody>
            <tfoot>
              <tr>
                <td><strong>Total</strong></td>
                <td>
                  <%= data.Kul_Balance %>
                </td>
              </tr>
            </tfoot>
          </table>
          <!-- <div id="printpreview" style="border: 2px solid; height: 50%; margin-top: 1px; width: 100%;"></div>
    </div> -->
          <!-- <% for(var i=0; i<data.length; i++){ %>
      <div id="<%= data[i].SMKId %>">
          <p>SMKId: <%= data[i].SMKId %></p>
          <p>FullNameGuj: <%= data[i].FullNameGuj %></p>
          <p>PresentCity: <%= data[i].PresentCity %></p>
      </div>
  <% } %> -->
          <!-- </div> -->
        </div>
        <!-- </div> -->
      </div>
      <script>
        let khultisilakinput = document.getElementById("centrekhultisilakinput")
        khultisilakinput.onchange = () => {
          centrekuljama = document.getElementById("centrekuljama").innerHTML
          centrekulupad = document.getElementById("centrekulupad").innerHTML
          document.getElementById("centrekulbalance").innerHTML = (parseInt(khultisilakinput.value) + parseInt(centrekuljama)) - parseInt(centrekulupad)
          //console.log(parseInt(document.getElementById("centrekulbalance").innerHTML))
          //console.log(parseInt(khultisilakinput.value))
          //console.log(parseInt(centrekuljama))
          //console.log(parseInt(centrekulupad))
          //console.log("hhello r")
        }
      </script>
    </div>
    <br>
    <br>
    <div id="Data_Grid_View" style="border: 1px solid black; height: 100%; width: 100%; overflow-x:auto;">

    </div>
</body>

</html>